<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces.samples.seamEAR</groupId>
	<artifactId>ear</artifactId>
	<packaging>ear</packaging>
	<version>3.1.3.GA</version>
	<name>ear assembly</name>
	<parent>
		<groupId>org.richfaces.samples</groupId>
		<artifactId>seamEAR</artifactId>
		<version>3.1.3.GA</version>
	</parent>
	<dependencies>
		<dependency>
			<groupId>org.richfaces.framework</groupId>
			<artifactId>richfaces-api</artifactId>
			<version>3.1.3.GA</version>
			<exclusions>
				<exclusion>
					<groupId>javax.faces</groupId>
					<artifactId>jsf-api</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.richfaces.samples.seamEAR</groupId>
			<artifactId>ejbs</artifactId>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>org.richfaces.samples.seamEAR.wars</groupId>
			<artifactId>seamWebapp</artifactId>
			<type>war</type>
		</dependency>
		<dependency>
			<groupId>org.richfaces.samples.seamEAR</groupId>
			<artifactId>primary-source</artifactId>
		</dependency>
		<dependency>
			<groupId>org.richfaces.samples.seamEAR.projects</groupId>
			<artifactId>logging</artifactId>
		</dependency>
		<!--
			<dependency>
			<groupId>jboss</groupId>
			<artifactId>jboss-seam-core</artifactId>
			<version>2.0.0.BETA</version>
			</dependency>
		-->
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>jboss-seam-core</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/jboss-seam.jar</systemPath>
			<scope>system</scope>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>jboss-el</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/lib/jboss-el.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>jbpm-jpdl</artifactId>
			<version>3.2.1-GA</version>
			<systemPath>${seamHome}/lib/jbpm-jpdl.jar</systemPath>
			<scope>system</scope>
		</dependency>
	</dependencies>
	<build>
		<finalName>seamEAR</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-ear-plugin</artifactId>
				<configuration>
					<defaultLibBundleDir>lib</defaultLibBundleDir>
					<modules>
						<ejbModule>
							<groupId>jboss</groupId>
							<artifactId>jboss-seam-core</artifactId>
							<!--
								<includeInApplicationXml>
								true
								</includeInApplicationXml>
							-->
							<bundleDir>/</bundleDir>
						</ejbModule>
						<ejbModule>
							<groupId>
								org.richfaces.samples.seamEAR
							</groupId>
							<artifactId>ejbs</artifactId>
							<bundleDir>/</bundleDir>
						</ejbModule>
						<jarModule>
							<groupId>jboss</groupId>
							<artifactId>jboss-el</artifactId>
							<bundleDir>lib</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>jboss</groupId>
							<artifactId>jbpm-jpdl</artifactId>
							<bundleDir>lib</bundleDir>
						</jarModule>
						<jarModule>
							<groupId>org.richfaces.framework</groupId>
							<artifactId>richfaces-api</artifactId>
							<includeInApplicationXml>
								true
							</includeInApplicationXml>
							<bundleDir>/</bundleDir>
						</jarModule>
					</modules>
					<!--
						<archive>
						<manifest>
						<addClasspath>true</addClasspath>
						</manifest>
						</archive>
					--><!--
						<jboss>
						<version>4.2</version>
						<loader-repository>
						seam.jboss.org:loader=seamEAR
						</loader-repository>
						</jboss>
					-->
					<version>5</version>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
